Discuss: MyBB 1.2.9 Released - Important Security Update
#21
Thanks for this quick patch, guys!

What would happen if I upload both the changed files archive, and the mybb129patch.php plugin (and activate it too)?
[Image: destroyerjf8.jpg]

Give us your feedback about MyBB in this thread and become listed on the MyBB website.
#22
Thank you guys all done
#23
I hate to appear stupid, but where can I find a clear instruction on upgrading from 1.2.7 to 1.2.9?

All i have found so far are instructions for patching 1.2.8 and a statement that if i have an older version than 1.2.8 I need to go to the main site and download 1.2.9 but still; nothing about how to upgrade it.

Thanks
#24
Thanks for the update.
#25
crnicholls Wrote:I hate to appear stupid, but where can I find a clear instruction on upgrading from 1.2.7 to 1.2.9?

All i have found so far are instructions for patching 1.2.8 and a statement that if i have an older version than 1.2.8 I need to go to the main site and download 1.2.9 but still; nothing about how to upgrade it.

Thanks

Check this:
[Wiki: upgrading] (Broken link, head over to docs.mybb.com instead)

Don't forget to run the upgrade script, and use the "find updated templates" function in your admin cp after the upgrade.
[Image: destroyerjf8.jpg]

Give us your feedback about MyBB in this thread and become listed on the MyBB website.
#26
Right, well, I updated and it's all working fine, but in Admin CP it still says I'm on 1.2.8.. :?

However I extracted all files from winzip (except settings.php and config.php of course) to my folder and re-uploaded everything, but in Admin CP it still says I'm on 1.2.8.
#27
Which package did you use? The changed files or the full package? I think you still didn't upload all the necessary files.
[Image: destroyerjf8.jpg]

Give us your feedback about MyBB in this thread and become listed on the MyBB website.
#28
Kikkerkont Wrote:Right, well, I updated and it's all working fine, but in Admin CP it still says I'm on 1.2.8.. :?

However I extracted all files from winzip (except settings.php and config.php of course) to my folder and re-uploaded everything, but in Admin CP it still says I'm on 1.2.8.
Ensure you uploaded inc/class_core.php in specific.

The correct version of this file can be found within this .zip file for the time being: http://community.mybboard.net/attachment.php?aid=6752
Or use the instructions provided by destroyer below. (The file you need to edit/replace is inc/class_core.php)
#29
Hi,

You're right. Someone forgot to update the full package. I've checked for you if everything else was fixed, and it is.

So just follow these instructions:

in inc/class_core.php
Quote:Find:
--
/**
* The friendly version number of MyBB we're running.
*
* @var string
*/
var $version = "1.2.8";

/**
* The version code of MyBB we're running.
*
* @var integer
*/
var $version_code = 128;

--

REPLACE it with:
--
/**
* The friendly version number of MyBB we're running.
*
* @var string
*/
var $version = "1.2.9";

/**
* The version code of MyBB we're running.
*
* @var integer
*/
var $version_code = 129;

Edit: I've already reported this.
[Image: destroyerjf8.jpg]

Give us your feedback about MyBB in this thread and become listed on the MyBB website.
#30
Thanks, I got the download from the MyBB main site.


Forum Jump:


Users browsing this thread: 1 Guest(s)